[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.CreateCaret

Creates a new shape for the system caret and assigns ownership of the caret to the specified window.

## Declaration

Source position: winapih.inc line 51

`public function TWidgetSet.CreateCaret(`
`Handle: HWND;`
`Bitmap: HBITMAP;`
`width: Integer;`
`Height: Integer`
`):Boolean; virtual;`

## Arguments

`Handle` |  | The window that owns the caret.
`Bitmap` |  | Bitmap Handle, or zero for a solid (black) caret, 1 for a grey caret.

## Function result

False on failure.